## opencpn-plugin-oesenc 2.5

=== CMakeLists.txt ===
##---------------------------------------------------------------------------
## Author:      bdbcat aka. dsr (Dave Register)
## Copyright:
## License:     wxWidgets License
##---------------------------------------------------------------------------


# define minimum cmake version
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)
# This should be 2.8.0 to have FindGTK2 module
IF (COMMAND cmake_policy)
  CMAKE_POLICY(SET CMP0003 OLD)
  CMAKE_POLICY(SET CMP0005 OLD)
  CMAKE_POLICY(SET CMP0011 OLD)
ENDIF (COMMAND cmake_policy)

PROJECT(oesenc_pi)

SET(PACKAGE_NAME oesenc_pi)
SET(VERBOSE_NAME oesenc)
SET(PLUGIN_SOURCE_DIR .)
MESSAGE (STATUS "*** Building ${PACKAGE_NAME} ***")

SET(VERSION_MAJOR "1")
SET(VERSION_MINOR "2")
SET(VERSION_PATCH "0")
SET(PACKAGE_VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}" )
SET(OCPN_MIN_VERSION "ov50")
 
#SET(CMAKE_BUILD_TYPE Release)

IF( NOT CMAKE_BUILD_TYPE )
  SET( CMAKE_BUILD_TYPE Release CACHE STRING
       "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
       FORCE )
ENDIF( NOT CMAKE_BUILD_TYPE )

MESSAGE (STATUS "Build type: ${CMAKE_BUILD_TYPE}")

SET(CMAKE_VERBOSE_MAKEFILE ON)

IF (PREFIX)
 SET(CMAKE_INSTALL_PREFIX ${PREFIX})
ENDIF (PREFIX)

SET(PREFIX_BIN bin)
SET(PREFIX_INCLUDE include)
SET(PREFIX_DATA share)
SET(PREFIX_PKGDATA ${PREFIX_DATA}/${PACKAGE_NAME})

include(CheckCXXCompilerFlag)
CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
if (CMAKE_VERSION VERSION_LESS "3.1")
  if(COMPILER_SUPPORTS_CXX11)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
    message(STATUS "Setting C++11 standard via CXX flags")
  elseif(COMPILER_SUPPORTS_CXX0X)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
    message(STATUS "Setting C++0x standard via CXX FLAGS")
  else()
    message(STATUS "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
  endif()
else ()
  set (CMAKE_CXX_STANDARD 11)
  message(STATUS "Setting C++11 standard via cmake standard mecahnism")
endif ()

IF (NOT WIN32)
  # default
  SET (ARCH "i386")
  IF (UNIX AND NOT APPLE)
    IF (PREFIX)
        SET(CMAKE_INSTALL_PREFIX ${PREFIX})
    ELSE (PREFIX )
        SET(CMAKE_INSTALL_PREFIX "/usr")
    ENDIF (PREFIX)

    MESSAGE (STATUS "*** Will install to ${CMAKE_INSTALL_PREFIX}  ***")

    IF (EXISTS /etc/debian_version)
      SET (PACKAGE_FORMAT "DEB")
      SET (PACKAGE_DEPS "libc6, libwxgtk3.0-0, libglu1-mesa (>= 7.0.0) curl")
      SET (LIB_INSTALL_DIR "lib")
      IF (CMAKE_SIZEOF_VOID_P MATCHES "8")
        SET (ARCH "amd64")
      ELSE (CMAKE_SIZEOF_VOID_P MATCHES "8")
        SET (ARCH "i386")
      ENDIF (CMAKE_SIZEOF_VOID_P MATCHES "8")
    ENDIF (EXISTS /etc/debian_version)
    IF (EXISTS /etc/redhat-release)
      SET (PACKAGE_FORMAT "RPM")
      SET (PACKAGE_DEPS  "opencpn")
      IF (CMAKE_SIZEOF_VOID_P MATCHES "8")
        SET (ARCH "x86_64")
        SET (LIB_INSTALL_DIR "lib64")
      ELSE (CMAKE_SIZEOF_VOID_P MATCHES "8")
        SET (ARCH "i386")
        SET (LIB_INSTALL_DIR "lib")
      ENDIF (CMAKE_SIZEOF_VOID_P MATCHES "8")
    ENDIF (EXISTS /etc/redhat-release)
  ENDIF (UNIX AND NOT APPLE)
endif(NOT WIN32)

IF (CMAKE_SYSTEM_PROCESSOR MATCHES "armhf")
  SET (ARCH "armhf")
  ADD_DEFINITIONS( -DARMHF )
ENDIF (CMAKE_SYSTEM_PROCESSOR MATCHES "armhf")

IF (CMAKE_SYSTEM_PROCESSOR MATCHES "arm64")
  SET (ARCH "arm64")
  ADD_DEFINITIONS( -DARMHF )
ENDIF (CMAKE_SYSTEM_PROCESSOR MATCHES "arm64")

MESSAGE (STATUS "*** Build Architecture is ${ARCH}")


#  To build for android, use this cmake invocation..
#$cmake -DUSE_GARMINHOST=OFF -D_wx_selected_config=androideabi-qt
#-DCMAKE_TOOLCHAIN_FILE=../buildandroid/build_android.cmake
#-DwxQt_Build=build_android_55_intl -DwxQt_Base=/home/dsr/Projects/wxqt/wxWidgets
#-DQt_Base=/home/dsr/Projects/qt5bare -DQt_Build=build_release/qtbase ..

IF(DEFINED _wx_selected_config)

#  May be overridden
IF(NOT DEFINED Qt_Build)
  SET(Qt_Build "android_armv7")
ENDIF(NOT DEFINED Qt_Build)

MESSAGE (STATUS "selected config ${_wx_selected_config}")

IF(_wx_selected_config MATCHES "androideabi-qt")
  MESSAGE (STATUS "Building for wxQt-Android")
  MESSAGE (STATUS "Qt_Base/Build: " ${Qt_Base} "/" ${Qt_Build})
  MESSAGE (STATUS "wxQt_Base/Build: " ${wxQt_Base} "/" ${wxQt_Build})
  SET(QT_ANDROID "ON")
  SET(QT_LINUX "OFF")
  SET(QT "ON")
ENDIF(_wx_selected_config MATCHES "androideabi-qt")

ENDIF(DEFINED _wx_selected_config)


INCLUDE("cmake/PluginConfigure.cmake")


INCLUDE_DIRECTORIES(BEFORE ${PROJECT_SOURCE_DIR}/src/wxJSON)
INCLUDE_DIRECTORIES(BEFORE ${PROJECT_SOURCE_DIR}/src)
INCLUDE_DIRECTORIES(BEFORE ${PROJECT_SOURCE_DIR}/src/cpl)
INCLUDE_DIRECTORIES(BEFORE ${PROJECT_SOURCE_DIR}/src/dsa)
INCLUDE_DIRECTORIES(BEFORE ${PROJECT_SOURCE_DIR})

IF(NOT WIN32)
 ADD_DEFINITIONS( "-Wall -g -fexceptions -O2 -Wno-unused -fno-strict-aliasing")

 IF(CMAKE_BUILD_TYPE MATCHES "Debug")
    ADD_DEFINITIONS( " -O0")
 ENDIF(CMAKE_BUILD_TYPE MATCHES "Debug")

 IF(NOT APPLE)
  SET(CMAKE_SHARED_LINKER_FLAGS "-Wl,-Bsymbolic")
  ADD_DEFINITIONS( "-rdynamic" )
 ELSE(NOT APPLE)
  SET(CMAKE_SHARED_LINKER_FLAGS "-Wl -undefined dynamic_lookup")
  ADD_DEFINITIONS( "-Wno-overloaded-virtual" )
 ENDIF(NOT APPLE)

ENDIF(NOT WIN32)


# Add some definitions to satisfy MS
IF(WIN32)
    ADD_DEFINITIONS(-D__MSVC__)
    ADD_DEFINITIONS(-D_CRT_NONSTDC_NO_DEPRECATE -D_CRT_SECURE_NO_DEPRECATE)
ENDIF(WIN32)

# Let cmake find additional modules private
LIST(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})


ADD_DEFINITIONS(-DTIXML_USE_STL)


# For convenience we define the sources as a variable. You can add
# header files and cpp/c files and CMake will sort them out



SET(SRC_OESENC
            src/oesenc_pi.h
            src/oesenc_pi.cpp
            src/eSENCChart.cpp
            src/eSENCChart.h
            src/Osenc.cpp
            src/Osenc.h
            src/mygeom.h
            src/mygeom63.cpp
            src/TexFont.cpp
            src/TexFont.h
            src/s52plib.cpp
            src/s57RegistrarMgr.cpp
            src/chartsymbols.cpp
            src/s52cnsy.cpp
            src/viewport.cpp
            src/s52utils.cpp
            src/bbox.cpp
            src/OCPNRegion.cpp
            src/LLRegion.cpp
            src/cutil.cpp
            src/tinyxml.cpp
            src/tinyxmlerror.cpp
            src/tinyxmlparser.cpp
            src/razdsparser.cpp
     )

SET(SRC_CPL
                src/cpl/cpl_config.h
                src/cpl/cpl_conv.h
                src/cpl/cpl_csv.h
                src/cpl/cpl_error.h
                src/cpl/cpl_port.h
                src/cpl/cpl_string.h
                src/cpl/cpl_vsi.h
                src/cpl/cpl_conv.cpp
                src/cpl/cpl_csv.cpp
                src/cpl/cpl_error.cpp
                src/cpl/cpl_findfile.cpp
                src/cpl/cpl_path.cpp
                src/cpl/cpl_string.cpp
                src/cpl/cpl_vsisimple.cpp
        )

SET(SRC_ISO8211
                src/myiso8211/ddffielddefn.cpp
                src/myiso8211/ddfmodule.cpp
                src/myiso8211/ddfrecord.cpp
                src/myiso8211/ddfsubfielddefn.cpp
                src/myiso8211/ddffield.cpp
                src/myiso8211/ddfutils.cpp
        )

SET(SRC_DSA
                src/dsa/dsa_utils.cpp
                src/dsa/mp_math.c
                src/dsa/sha1.c
    )
    
SET(SRC_S57ENC
                src/mygdal/s57classregistrar.cpp
)

SET(SRC_JSON
            src/wxJSON/json_defs.h
            src/wxJSON/jsonreader.h
            src/wxJSON/jsonval.h
            src/wxJSON/jsonwriter.h
            src/wxJSON/jsonreader.cpp
            src/wxJSON/jsonval.cpp
            src/wxJSON/jsonwriter.cpp
        )

IF(NOT QT_ANDROID)
    SET(SRC_OSHOP 
        src/ochartShop.cpp
        src/ochartShop.h
        )
ENDIF(NOT QT_ANDROID)

OPTION(OCPN_USE_CURL "Use Curl libraries" ON)
ADD_DEFINITIONS(-D__OCPN_USE_CURL__)

IF(WIN32)
    OPTION(OCPN_USE_EXTERN_CURL "Use external libcurl" OFF)
ELSE(WIN32)
    SET(OCPN_USE_EXTERN_CURL ON)
ENDIF(WIN32)

IF(NOT QT_ANDROID)

    IF(OCPN_USE_EXTERN_CURL)
        FIND_PACKAGE(CURL REQUIRED)
        IF(CURL_FOUND)
            MESSAGE (STATUS "Using SYSTEM curl library...${CURL_LIBRARIES}...${CURL_INCLUDE_DIR}")
        ENDIF(CURL_FOUND)
        INCLUDE_DIRECTORIES(${CURL_INCLUDE_DIR})
    ELSE(OCPN_USE_EXTERN_CURL)
        INCLUDE("Curl.cmake")
        MESSAGE (STATUS "Using local curl library...")
    ENDIF(OCPN_USE_EXTERN_CURL)

 
    IF(WIN32) 
        SET(SRC_OSENC_WXCURL
        src/wxcurl/base.cpp
        src/wxcurl/dav.cpp
        src/wxcurl/davtool.cpp
        src/wxcurl/dialog.cpp
        src/wxcurl/ftp.cpp
        src/wxcurl/ftpparse.cpp
        src/wxcurl/ftptool.cpp
        src/wxcurl/http.cpp
        src/wxcurl/panel.cpp
        src/wxcurl/telnet.cpp
        src/wxcurl/thread.cpp
        src/wxcurl/utils.cpp
        )
    ENDIF(WIN32)

#    ADD_LIBRARY(WXCURL ${SRC_WXCURL})
    INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/src/wxcurl)
    
    MESSAGE (STATUS "wxCurl configured...")

ENDIF(NOT QT_ANDROID)

IF(UNIX AND NOT APPLE)
 INCLUDE("cmake/FindTinyXML.cmake")
 FIND_PACKAGE(TinyXML QUIET)
ENDIF(UNIX AND NOT APPLE)

IF(TINYXML_FOUND)
 message (STATUS "oeSENCr_pi building with system tinyxml")
 INCLUDE_DIRECTORIES(${TINYXML_INCLUDE_DIR})
ELSE(TINYXML_FOUND)
 message (STATUS "oeSENC_pi building with embedded tinyxml")
 INCLUDE_DIRECTORIES(src/tinyxml/)
ENDIF(TINYXML_FOUND)
ADD_DEFINITIONS(-DTIXML_USE_STL)


ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_OESENC} ${SRC_CPL} ${SRC_ISO8211} ${SRC_DSA} ${SRC_S57ENC} ${SRC_JSON} ${SRC_OSHOP} ${SRC_OSENC_WXCURL} ${SRC_LTINYXML})

IF (QT_ANDROID )
    TARGET_LINK_LIBRARIES( ${PACKAGE_NAME} ${OCPN_Core_LIBRARIES} )
    TARGET_LINK_LIBRARIES( ${PACKAGE_NAME} "-lgnustl_shared")
    TARGET_LINK_LIBRARIES( ${PACKAGE_NAME} "-lz" )
ENDIF(QT_ANDROID)

IF(WIN32)
  TARGET_LINK_LIBRARIES( ${PACKAGE_NAME} ${CURL_LIBRARIES})
  SET(OPENCPN_IMPORT_LIB "opencpn.lib")
  TARGET_LINK_LIBRARIES( ${PACKAGE_NAME} ${OPENCPN_IMPORT_LIB} )

ENDIF(WIN32)

IF(NOT APPLE)
TARGET_LINK_LIBRARIES( ${PACKAGE_NAME} ${wxWidgets_LIBRARIES} )
ENDIF(NOT APPLE)



# Install any special data files or binary helpers here....
# The PlugIn library itself and any "data" directory (with contents) gets installed in generic PluginInstall.cmake later

IF(UNIX AND NOT APPLE)
SET(PARENT opencpn)
SET(PREFIX_PLUGINS ${LIB_INSTALL_DIR}/${PARENT})
SET(PREFIX_PARENTBIN bin)
SET(PREFIX_PARENTDATA ${PREFIX_DATA}/${PARENT})


IF (ARCH MATCHES "amd64" OR ARCH MATCHES "x86_64")
INSTALL(FILES "buildlinux64/oeserverd/oeserverd"
       PERMISSIONS OWNER_READ OWNER_EXECUTE OWNER_WRITE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
       DESTINATION ${PREFIX_PARENTBIN})
ELSE (ARCH MATCHES "amd64" OR ARCH MATCHES "x86_64")

    IF (ARCH MATCHES "arm*" )

        IF (ARCH MATCHES "armhf" )
            INSTALL(FILES "buildlinuxarm/oeserverd/oeserverd"
            PERMISSIONS OWNER_READ OWNER_EXECUTE OWNER_WRITE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
            DESTINATION ${PREFIX_PARENTBIN})
        ELSE (ARCH MATCHES "armhf" )
            INSTALL(FILES "buildlinuxarm64/oeserverd/oeserverd"
            PERMISSIONS OWNER_READ OWNER_EXECUTE OWNER_WRITE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
            DESTINATION ${PREFIX_PARENTBIN})
        ENDIF (ARCH MATCHES "armhf" )
    
    ELSE (ARCH MATCHES "arm*" )
        INSTALL(FILES "buildlinux/oeserverd/oeserverd"
          PERMISSIONS OWNER_READ OWNER_EXECUTE OWNER_WRITE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
          DESTINATION ${PREFIX_PARENTBIN})
    ENDIF (ARCH MATCHES "arm*" )

ENDIF (ARCH MATCHES "amd64" OR ARCH MATCHES "x86_64")


INSTALL(FILES "src/rrc_eula_ChartSetsForOpenCPN-v16-12.txt"
      PERMISSIONS OWNER_READ GROUP_READ WORLD_READ
      DESTINATION ${PREFIX_PARENTDATA}/plugins/${PACKAGE_NAME} )

ENDIF(UNIX AND NOT APPLE)

IF(WIN32)

=== Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /usr/bin/cmake-gui

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/dsr/Projects/s63_pi

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/dsr/Projects/s63_pi

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/cmake-gui -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	/usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	/usr/bin/cpack --config ./CPackSourceConfig.cmake /home/dsr/Projects/s63_pi/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/dsr/Projects/s63_pi/CMakeFiles /home/dsr/Projects/s63_pi/CMakeFiles/progress.marks
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/dsr/Projects/s63_pi/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named s63-i18n

# Build rule for target.
s63-i18n: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 s63-i18n
.PHONY : s63-i18n

# fast build rule for target.
s63-i18n/fast:
	$(MAKE) -f CMakeFiles/s63-i18n.dir/build.make CMakeFiles/s63-i18n.dir/build
.PHONY : s63-i18n/fast

#=============================================================================
# Target rules for targets named s63-po-update

# Build rule for target.
s63-po-update: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 s63-po-update
.PHONY : s63-po-update

# fast build rule for target.
s63-po-update/fast:
	$(MAKE) -f CMakeFiles/s63-po-update.dir/build.make CMakeFiles/s63-po-update.dir/build
.PHONY : s63-po-update/fast

#=============================================================================
# Target rules for targets named s63-pot-update

# Build rule for target.
s63-pot-update: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 s63-pot-update
.PHONY : s63-pot-update

# fast build rule for target.
s63-pot-update/fast:
	$(MAKE) -f CMakeFiles/s63-pot-update.dir/build.make CMakeFiles/s63-pot-update.dir/build
.PHONY : s63-pot-update/fast

#=============================================================================
# Target rules for targets named s63_pi

# Build rule for target.
s63_pi: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 s63_pi
.PHONY : s63_pi

# fast build rule for target.
s63_pi/fast:
	$(MAKE) -f CMakeFiles/s63_pi.dir/build.make CMakeFiles/s63_pi.dir/build
.PHONY : s63_pi/fast

src/TexFont.o: src/TexFont.cpp.o
.PHONY : src/TexFont.o

# target to build an object file
src/TexFont.cpp.o:
	$(MAKE) -f CMakeFiles/s63_pi.dir/build.make CMakeFiles/s63_pi.dir/src/TexFont.cpp.o
.PHONY : src/TexFont.cpp.o

src/TexFont.i: src/TexFont.cpp.i
.PHONY : src/TexFont.i

# target to preprocess a source file
src/TexFont.cpp.i:
	$(MAKE) -f CMakeFiles/s63_pi.dir/build.make CMakeFiles/s63_pi.dir/src/TexFont.cpp.i
.PHONY : src/TexFont.cpp.i

src/TexFont.s: src/TexFont.cpp.s
.PHONY : src/TexFont.s

# target to generate assembly for a file
src/TexFont.cpp.s:
	$(MAKE) -f CMakeFiles/s63_pi.dir/build.make CMakeFiles/s63_pi.dir/src/TexFont.cpp.s
.PHONY : src/TexFont.cpp.s

src/cpl/cpl_conv.o: src/cpl/cpl_conv.cpp.o
.PHONY : src/cpl/cpl_conv.o

# target to build an object file
src/cpl/cpl_conv.cpp.o:
	$(MAKE) -f CMakeFiles/s63_pi.dir/build.make CMakeFiles/s63_pi.dir/src/cpl/cpl_conv.cpp.o
.PHONY : src/cpl/cpl_conv.cpp.o

src/cpl/cpl_conv.i: src/cpl/cpl_conv.cpp.i
.PHONY : src/cpl/cpl_conv.i

# target to preprocess a source file
src/cpl/cpl_conv.cpp.i:
	$(MAKE) -f CMakeFiles/s63_pi.dir/build.make CMakeFiles/s63_pi.dir/src/cpl/cpl_conv.cpp.i
.PHONY : src/cpl/cpl_conv.cpp.i

src/cpl/cpl_conv.s: src/cpl/cpl_conv.cpp.s
.PHONY : src/cpl/cpl_conv.s

# target to generate assembly for a file
src/cpl/cpl_conv.cpp.s:
	$(MAKE) -f CMakeFiles/s63_pi.dir/build.make CMakeFiles/s63_pi.dir/src/cpl/cpl_conv.cpp.s
.PHONY : src/cpl/cpl_conv.cpp.s

src/cpl/cpl_csv.o: src/cpl/cpl_csv.cpp.o
.PHONY : src/cpl/cpl_csv.o

# target to build an object file
src/cpl/cpl_csv.cpp.o:
	$(MAKE) -f CMakeFiles/s63_pi.dir/build.make CMakeFiles/s63_pi.dir/src/cpl/cpl_csv.cpp.o
.PHONY : src/cpl/cpl_csv.cpp.o

src/cpl/cpl_csv.i: src/cpl/cpl_csv.cpp.i
.PHONY : src/cpl/cpl_csv.i

# target to preprocess a source file
src/cpl/cpl_csv.cpp.i:
	$(MAKE) -f CMakeFiles/s63_pi.dir/build.make CMakeFiles/s63_pi.dir/src/cpl/cpl_csv.cpp.i
.PHONY : src/cpl/cpl_csv.cpp.i

src/cpl/cpl_csv.s: src/cpl/cpl_csv.cpp.s
.PHONY : src/cpl/cpl_csv.s

# target to generate assembly for a file
src/cpl/cpl_csv.cpp.s:
	$(MAKE) -f CMakeFiles/s63_pi.dir/build.make CMakeFiles/s63_pi.dir/src/cpl/cpl_csv.cpp.s
.PHONY : src/cpl/cpl_csv.cpp.s

src/cpl/cpl_error.o: src/cpl/cpl_error.cpp.o
.PHONY : src/cpl/cpl_error.o

# target to build an object file
src/cpl/cpl_error.cpp.o:
	$(MAKE) -f CMakeFiles/s63_pi.dir/build.make CMakeFiles/s63_pi.dir/src/cpl/cpl_error.cpp.o
.PHONY : src/cpl/cpl_error.cpp.o

src/cpl/cpl_error.i: src/cpl/cpl_error.cpp.i
.PHONY : src/cpl/cpl_error.i

# target to preprocess a source file
src/cpl/cpl_error.cpp.i:
	$(MAKE) -f CMakeFiles/s63_pi.dir/build.make CMakeFiles/s63_pi.dir/src/cpl/cpl_error.cpp.i
.PHONY : src/cpl/cpl_error.cpp.i

src/cpl/cpl_error.s: src/cpl/cpl_error.cpp.s
.PHONY : src/cpl/cpl_error.s

# target to generate assembly for a file
src/cpl/cpl_error.cpp.s:
	$(MAKE) -f CMakeFiles/s63_pi.dir/build.make CMakeFiles/s63_pi.dir/src/cpl/cpl_error.cpp.s
.PHONY : src/cpl/cpl_error.cpp.s

src/cpl/cpl_findfile.o: src/cpl/cpl_findfile.cpp.o
.PHONY : src/cpl/cpl_findfile.o

# target to build an object file
src/cpl/cpl_findfile.cpp.o:
	$(MAKE) -f CMakeFiles/s63_pi.dir/build.make CMakeFiles/s63_pi.dir/src/cpl/cpl_findfile.cpp.o
.PHONY : src/cpl/cpl_findfile.cpp.o

src/cpl/cpl_findfile.i: src/cpl/cpl_findfile.cpp.i
.PHONY : src/cpl/cpl_findfile.i

# target to preprocess a source file
src/cpl/cpl_findfile.cpp.i:
	$(MAKE) -f CMakeFiles/s63_pi.dir/build.make CMakeFiles/s63_pi.dir/src/cpl/cpl_findfile.cpp.i
.PHONY : src/cpl/cpl_findfile.cpp.i

src/cpl/cpl_findfile.s: src/cpl/cpl_findfile.cpp.s
.PHONY : src/cpl/cpl_findfile.s

# target to generate assembly for a file
src/cpl/cpl_findfile.cpp.s:
	$(MAKE) -f CMakeFiles/s63_pi.dir/build.make CMakeFiles/s63_pi.dir/src/cpl/cpl_findfile.cpp.s
.PHONY : src/cpl/cpl_findfile.cpp.s

src/cpl/cpl_path.o: src/cpl/cpl_path.cpp.o
.PHONY : src/cpl/cpl_path.o

# target to build an object file
src/cpl/cpl_path.cpp.o:
	$(MAKE) -f CMakeFiles/s63_pi.dir/build.make CMakeFiles/s63_pi.dir/src/cpl/cpl_path.cpp.o
.PHONY : src/cpl/cpl_path.cpp.o

src/cpl/cpl_path.i: src/cpl/cpl_path.cpp.i
.PHONY : src/cpl/cpl_path.i

# target to preprocess a source file
src/cpl/cpl_path.cpp.i:
	$(MAKE) -f CMakeFiles/s63_pi.dir/build.make CMakeFiles/s63_pi.dir/src/cpl/cpl_path.cpp.i
.PHONY : src/cpl/cpl_path.cpp.i

src/cpl/cpl_path.s: src/cpl/cpl_path.cpp.s
.PHONY : src/cpl/cpl_path.s

# target to generate assembly for a file
src/cpl/cpl_path.cpp.s:
	$(MAKE) -f CMakeFiles/s63_pi.dir/build.make CMakeFiles/s63_pi.dir/src/cpl/cpl_path.cpp.s
.PHONY : src/cpl/cpl_path.cpp.s

src/cpl/cpl_string.o: src/cpl/cpl_string.cpp.o
.PHONY : src/cpl/cpl_string.o

# target to build an object file
src/cpl/cpl_string.cpp.o:
	$(MAKE) -f CMakeFiles/s63_pi.dir/build.make CMakeFiles/s63_pi.dir/src/cpl/cpl_string.cpp.o
.PHONY : src/cpl/cpl_string.cpp.o

src/cpl/cpl_string.i: src/cpl/cpl_string.cpp.i
.PHONY : src/cpl/cpl_string.i

# target to preprocess a source file
src/cpl/cpl_string.cpp.i:
	$(MAKE) -f CMakeFiles/s63_pi.dir/build.make CMakeFiles/s63_pi.dir/src/cpl/cpl_string.cpp.i
.PHONY : src/cpl/cpl_string.cpp.i

src/cpl/cpl_string.s: src/cpl/cpl_string.cpp.s

=== debian/changelog ===
opencpn-plugin-oesenc (2.5-0~201902121203~mx17+3) mx; urgency=medium

  * Lowered opencpn depends to 4.8.2

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 19 Aug 2019 14:04:52 -0700

opencpn-plugin-oesenc (2.5-0~201902121203~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 17 Aug 2019 17:59:53 -0700

opencpn-plugin-oesenc (2.5-0~201902121203~mx17+2) mx; urgency=medium

  * Set wxwidgets3 versions.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 17 Aug 2019 13:06:32 -0700

opencpn-plugin-oesenc (2.5-0~201902121203mx197+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 16 Aug 2019 15:36:58 -0700

opencpn-plugin-oesenc (2.5-0~201902121203mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.
  * Converted to a quilt build.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 16 Aug 2019 15:27:32 -0700

opencpn-plugin-oesenc (2.5-0~201902121203~ubuntu19.04.1) disco; urgency=low

  * Auto build.

 -- Pavel Kalian <pavel@kalian.cz>  Tue, 12 Feb 2019 12:20:06 +0000

opencpn-plugin-oesenc (2.5-1) unstable; urgency=medium

  * Initial release for O5 using CI

 -- Pavel Kalian <pavel@kalian.cz>  Sun, 10 Feb 2019 09:01:17 -0300

=== debian/control ===
Source: opencpn-plugin-oesenc
Section: misc
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Pavel Kalian <pavel@kalian.cz>
Build-Depends: debhelper (>= 10), cmake, gettext, git-core, gpsd, gpsd-clients, libgps-dev, 
	wx-common (>= 3.0.2), libwxgtk3.0-dev (>= 3.0.2), libglu1-mesa-dev, libgtk2.0-dev, 
	wx3.0-headers (>= 3.0.2), libbz2-dev, libtinyxml-dev, libportaudio2, portaudio19-dev, 
	libcurl4-openssl-dev, libexpat1-dev, libcairo2-dev, libarchive-dev, liblzma-dev, 
	libexif-dev, libelf-dev, libsqlite3-dev
Standards-Version: 4.1.2
Homepage: https://github.com/nohal/oesenc_pi
#Vcs-Git: https://anonscm.debian.org/git/collab-maint/opencpn-plugin-oesenc.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/opencpn-plugin-oesenc.git

Package: opencpn-plugin-oesenc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, opencpn (>= 4.8.2)
Description: Launcher plugin for OpenCPN
 Allows runinng external commands and automatization of some
 keyboard actions to be performed using large buttons.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake --exclude=oeserverd

override_dh_strip:
	dh_strip --no-automatic-dbgsym
